(function ($) {
    /**
     * Send the GDPR event to Google.
     *
     * @param event_name
     */
    function wgmt_gdpr_event(event_name) {
        if (typeof dataLayer !== 'undefined') {
            if (event_name === 'marketing') {
                dataLayer.push({'event': 'GDPRMarketingAccepted', 'gdpr_marketing_status': 'accepted'});
            }

            if (event_name === 'statistics') {
                dataLayer.push({'event': 'GDPRStatisticsAccepted', 'gdpr_statistics_status': 'accepted'});
            }
        }
    }

    $(document).ready(function () {
        if (typeof useWgmtGdpr !== 'undefined' && useWgmtGdpr === true) {
            let gdpr_container = $("#wgmt_gdpr");
            let gdpr_badge = $("#wgmt_gdpr_badge");

            let gdpr_configure_button = $("#wgmt_gdpr_config");
            let gdpr_accept_button = $("#wgmt_gdpr_accept");

            let gdpr_cookies_wrapper = $("#wgmt_gdpr_cookies_wrapper");
            let gdpr_marketing_checkbox = $("#wgmt_gdpr_marketing");
            let gdpr_statistics_checkbox = $("#wgmt_gdpr_stats");

            /**
             * Events
             ********/
            gdpr_configure_button.on("click", function (event) {
                event.preventDefault();

                gdpr_cookies_wrapper.slideToggle("fast");
            });

            gdpr_accept_button.on("click", function (event) {
                event.preventDefault();

                let marketing_checker = $("#wgmt_gdpr_marketing");
                let stats_checker = $("#wgmt_gdpr_stats");

                if (marketing_checker.is(":checked")) {
                    Cookies.set("wgmt_gdpr_marketing", true, {expires: 365});
                    wgmt_gdpr_event('marketing');
                } else {
                    Cookies.set("wgmt_gdpr_marketing", false, {expires: 365});
                }

                if (stats_checker.is(":checked")) {
                    Cookies.set("wgmt_gdpr_stats", true, {expires: 365});
                    wgmt_gdpr_event('statistics');
                } else {
                    Cookies.set("wgmt_gdpr_stats", false, {expires: 365});
                }

                gdpr_container.slideUp("slow");
                gdpr_badge.fadeIn("slow");
            });

            gdpr_badge.on("click", function (event) {
                event.preventDefault();

                let cookie_marketing = Cookies.get('wgmt_gdpr_marketing');
                let cookie_statistics = Cookies.get('wgmt_gdpr_stats');

                if (typeof cookie_marketing !== 'undefined' && cookie_marketing === 'true') {
                    gdpr_marketing_checkbox.prop("checked", true);
                } else {
                    gdpr_marketing_checkbox.prop("checked", false);
                }

                if (typeof cookie_statistics !== 'undefined' && cookie_statistics === 'true') {
                    gdpr_statistics_checkbox.prop("checked", true);
                } else {
                    gdpr_statistics_checkbox.prop("checked", false);
                }

                gdpr_container.slideToggle("slow");
                $(this).fadeOut("slow");
            });

            // Check cookies
            let cookie_marketing = Cookies.get('wgmt_gdpr_marketing');
            let cookie_statistics = Cookies.get('wgmt_gdpr_stats');

            if (typeof cookie_marketing === 'undefined' && typeof cookie_statistics === 'undefined') {
                gdpr_container.slideDown("slow");
            } else {
                if (cookie_marketing === 'true') {
                    wgmt_gdpr_event('marketing');
                }

                if (cookie_statistics === 'true') {
                    wgmt_gdpr_event('statistics');
                }

                gdpr_badge.fadeIn("slow");
            }
        }
    });
})(jQuery);
