(function ($) {
    function onFinishTutorial() {
        localStorage.removeItem("wgmt_tutorial_page");

        $.ajax({
            type: 'post',
            url: wgmt_tutorial.ajaxUrl,
            xhrFields: {withCredentials: false},
            data: {action: 'wgmt_finish_tutorial'},
            dataType: 'json',
            success: function () {
                $('html, body').animate({scrollTop: 0}, 'fast');
                window.location.reload();
            }
        });
    }

    function onChangeCard(page) {
        localStorage.setItem("wgmt_tutorial_page", page);
    }

    function runTutorial() {
        const cards = [
            {
                selector: "gg_card_01",
                position: "bottom",
                content: "<strong>Welcome to Marketing Tools for WooCommerce</strong>.<br/>This plugins allows you to generate a Google Tag Manager workspace and link it to your account in less than five minutes. <strong>Let's start</strong>.",
            },
            {
                selector: "gg_card_02",
                position: "top",
                content: "The first step is to generate a valid <em>workspace.json</em> file.<br/><strong>Go to the Workspace tab to do that</strong>.",
            },
            {
                selector: "google_container_id",
                position: "right",
                content: "The <u>Google Tag Manager Container ID</u> is the only required value to generate a valid <em>workspace.json</em> file. You can find it in your Google Tag Manager account. <strong>Write it here</strong>.",
            },
            {
                selector: "gg_card_04",
                position: "bottom",
                content: "While not mandatory, these are common values used to track your analytics. Find these in their respective accounts.",
            },
            {
                selector: "gg_card_05",
                position: "top",
                content: "In <a href='https://devmanextensions.com/woocommerce-google-marketing-tools' target='_blank'>Devman Marketing Tools PRO</a>, you can add and configure many more tags.",
            },
            {
                selector: "gg_card_06",
                position: "bottom",
                content: "When you finish configuring your tags, click this button to generate a valid <em>workspace.json</em> file. <u>You'll receive it by email</u>. Don't forget to check your spam folder.<br/>Once you receive it, import it in your Google Tag Manager account corresponding to the Container ID. <strong>Do this now if you want.</strong>",
            },
            {
                selector: "gg_card_07",
                position: "top",
                content: "Now is time to configure Marketing Tools to link your store with Google Tag Manager. <strong>Go to the General tab to accomplish this</strong>.",
            },
            {
                selector: "gg_card_08",
                position: "right",
                content: "The first step is to activate Marketing Tools. <strong>Turn the switch ON</strong>.",
            },
            {
                selector: "container_id",
                position: "right",
                content: "Now tell Marketing Tools what's the Container ID you want to link. It's the same that you use to generate your <em>workspace.json</em> file, the one of your Google Tag Manager account. <strong>Fill it now</strong>.",
            },
            {
                selector: "gg_card_10",
                position: "top",
                content: "Next, you can configure the behaviour of most of the tags, and the plugin itself.",
            },
            {
                selector: "gg_card_10_1",
                position: "top",
                content: "In <a href='https://devmanextensions.com/woocommerce-google-marketing-tools' target='_blank'>Devman Marketing Tools PRO</a>, you can configure and control many more features.",
            },
            {
                selector: "gg_card_11",
                position: "left",
                content: "Now it's a great time to save your changes. This keep your changes save and apply any configured action, including linking your store to Google Tag Manager. <strong>Save your changes now</strong>.",
            },
            {
                selector: "gg_card_12",
                position: "left",
                content: "Later, you can explore all the features that Marketing Tools gives you in order to leverage your E-commerce.",
            },
            {
                selector: "gg_card_13",
                position: "bottom",
                content: "It would be great if you leave us a 5-star review, this will help us a lot. <strong>Thank you</strong>!",
            },
            {
                selector: "wgmt_restart_tutorial",
                position: "right",
                content: "Now this guide will disappear forever. But you can always restart it by clicking on this button.",
            },
        ];

        let starting_page = 0;
        let stored_tutorial_page = localStorage.getItem("wgmt_tutorial_page");
        if (stored_tutorial_page) {
            starting_page = stored_tutorial_page;
        }

        const gGuide = new GGuide(cards, {
            firstCard: starting_page,
            canFinish: true,
            onFinish: onFinishTutorial,
            onChange: onChangeCard,
        }).begin();
    }

    $(document).ready(function () {
        $.ajax({
            type: 'get',
            url: wgmt_tutorial.ajaxUrl,
            xhrFields: {withCredentials: false},
            data: {action: 'wgmt_has_run_tutorial'},
            dataType: 'json',
            success: function (response) {
                if (!response.has_run) {
                    runTutorial();
                }
            }
        });
    });
})(jQuery);
