<?php
/**
 * WGMT Helper.
 *
 * @package WGMT
 * @since   2.0.0
 */

defined( 'ABSPATH' ) || exit;


final class WGMT_Helper {
	/**
	 * Print formatted values.
	 *
	 * @param $value
	 *
	 * @since 3.1.6
	 */
	public static function wgmt_debug( $value ) {
		print "<pre>";
		print_r( $value );
		print"</pre>";
	}

	public static function wgmt_get_persisted_fields() {
		return array(
			array( 'name' => 'tag_manager_status', 'type' => 'C' ), // general form
			array( 'name' => 'container_id', 'type' => 'I' ),
			array( 'name' => 'google_ee_product_id_like', 'type' => 'S' ),
			array( 'name' => 'multichannel_funnel_status', 'type' => 'C' ),
			array( 'name' => 'multichannel_step_1', 'type' => 'S' ),
			array( 'name' => 'multichannel_step_2', 'type' => 'S' ),
			array( 'name' => 'multichannel_step_3', 'type' => 'S' ),
			array( 'name' => 'multichannel_step_4', 'type' => 'S' ),
			array( 'name' => 'multichannel_step_5', 'type' => 'S' ),
			array( 'name' => 'google_product_id_like', 'type' => 'S' ),
			array( 'name' => 'dynamic_remarketing_dynx2', 'type' => 'S' ),
			array( 'name' => 'google_reviews_status', 'type' => 'C' ),
			array( 'name' => 'google_reviews_id', 'type' => 'I' ),
			array( 'name' => 'google_reviews_style', 'type' => 'S' ),
			array( 'name' => 'google_reviews_delivery_days', 'type' => 'I' ),
			array( 'name' => 'google_reviews_lang_default_code', 'type' => 'I' ),
			array( 'name' => 'google_reviews_gtin', 'type' => 'S' ),
			array( 'name' => 'google_reviews_badge_code_status', 'type' => 'C' ),
			array( 'name' => 'google_reviews_badge_id', 'type' => 'I' ),
			array( 'name' => 'google_reviews_badge_code_style', 'type' => 'S' ),
			array( 'name' => 'positive_conversion_status_id', 'type' => 'M' ),
			array( 'name' => 'google_container_id', 'type' => 'I' ), // workspace form
			array( 'name' => 'google_analytics_ua', 'type' => 'I' ),
			array( 'name' => 'google_container_optimize_id', 'type' => 'I' ),
			array( 'name' => 'google_enhanced_ecommerce_status', 'type' => 'C' ),
			array( 'name' => 'google_conversion_status', 'type' => 'C' ),
			array( 'name' => 'google_conversion_id', 'type' => 'I' ),
			array( 'name' => 'google_conversion_label', 'type' => 'I' ),
			array( 'name' => 'google_dynamic_remarketing_status', 'type' => 'C' ),
			array( 'name' => 'google_dynamic_remarketing_id', 'type' => 'I' ),
			array( 'name' => 'google_dynamic_remarketing_label', 'type' => 'I' ),
			array( 'name' => 'google_dynamic_remarketing_id_prefix', 'type' => 'I' ),
			array( 'name' => 'google_dynamic_remarketing_id_sufix', 'type' => 'I' ),
			array( 'name' => 'google_dynamic_remarketing_dynx', 'type' => 'C' ),
			array( 'name' => 'google_rich_snippets', 'type' => 'C' ),
			array( 'name' => 'google_hotjar_status', 'type' => 'C' ),
			array( 'name' => 'google_hotjar_site_id', 'type' => 'I' ),
			array( 'name' => 'google_pinterest_status', 'type' => 'C' ),
			array( 'name' => 'google_pinterest_id', 'type' => 'I' ),
			array( 'name' => 'google_crazyegg_status', 'type' => 'C' ),
			array( 'name' => 'google_crazyegg_id', 'type' => 'I' ),
			array( 'name' => 'google_criteo_status', 'type' => 'C' ),
			array( 'name' => 'google_criteo_id', 'type' => 'I' ),
			array( 'name' => 'google_facebook_pixel_status', 'type' => 'C' ),
			array( 'name' => 'google_facebook_pixel_id', 'type' => 'I' ),
			array( 'name' => 'google_bing_ads_status', 'type' => 'C' ),
			array( 'name' => 'google_bing_ads_tag_id', 'type' => 'I' ),
			array( 'name' => 'google_richsnippets_identifiers', 'type' => 'S' ),
			array( 'name' => 'google_richsnippets_identifier', 'type' => 'S' ),
			array( 'name' => 'yahoo_gemini_status', 'type' => 'C' ),
			array( 'name' => 'yahoo_gemini_project_id', 'type' => 'I' ),
			array( 'name' => 'yahoo_gemini_pixel_id', 'type' => 'I' ),
			array( 'name' => 'performant_status', 'type' => 'C' ),
			array( 'name' => 'performant_campaign_unique', 'type' => 'I' ),
			array( 'name' => 'performant_confirm', 'type' => 'I' ),
			array( 'name' => 'taxonomy_lang', 'type' => 'S', 'default' => 'en_US' ), // Taxonomy form
			array( 'name' => 'gdpr_status', 'type' => 'C' ), // GDPR form
			array( 'name' => 'gdpr_badge_position', 'type' => 'I', 'default' => '1' ),
			array( 'name' => 'gdpr_badge_title', 'type' => 'I', 'default' => 'Configure' ),
			array( 'name' => 'gdpr_text_titlebar', 'type' => 'I', 'default' => 'This site uses cookies.' ),
			array( 'name' => 'gdpr_color_titlebar', 'type' => 'I', 'default' => '#f5f5f5' ),
			array( 'name' => 'gdpr_choice_backtype', 'type' => 'S', 'default' => 'solid' ),
			array( 'name' => 'gdpr_color_back_primary', 'type' => 'I', 'default' => '#9b5c8f' ),
			array( 'name' => 'gdpr_color_back_secondary', 'type' => 'I', 'default' => '#643c5c' ),
			array(
				'name'    => 'gdpr_text_main',
				'type'    => 'I',
				'default' => 'Some of these cookies are essential, while others help us to improve your experience by providing insights into how the site is being used.'
			),
			array( 'name' => 'gdpr_color_main', 'type' => 'I', 'default' => '#f5f5f5' ),
			array( 'name' => 'gdpr_text_privacy_text', 'type' => 'I', 'default' => 'Privacy Policy' ),
			array( 'name' => 'gdpr_text_privacy_link', 'type' => 'I' ),
			array( 'name' => 'gdpr_text_accept', 'type' => 'I', 'default' => 'Accept' ),
			array( 'name' => 'gdpr_color_accept_back', 'type' => 'I', 'default' => '#f5f5f5' ),
			array( 'name' => 'gdpr_color_accept_text', 'type' => 'I', 'default' => '#000000' ),
			array( 'name' => 'gdpr_text_configure', 'type' => 'I' ),
			array( 'name' => 'gdpr_color_configure_back', 'type' => 'I', 'default' => '#f5f5f5' ),
			array( 'name' => 'gdpr_color_configure_text', 'type' => 'I', 'default' => '#000000' ),
			array( 'name' => 'gdpr_text_marketing', 'type' => 'I', 'default' => 'Marketing' ),
			array( 'name' => 'gdpr_text_statistics', 'type' => 'I', 'default' => 'Statistics' ),
			array( 'name' => 'gdpr_color_alpha', 'type' => 'I', 'default' => 255 ),
			array( 'name' => 'gdpr_color_marketing_check', 'type' => 'I', 'default' => '#f5f5f5' ),
			array( 'name' => 'gdpr_color_statistics_check', 'type' => 'I', 'default' => '#f5f5f5' ),
		);
	}
}
